Updates the job_priority object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_priority
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the priority

string

Required

Max length: 50

is_default

If default, will be auto selected when creating new jobs

boolean
sequence

Sorting field (0 first)

integer
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating job_priority

string
sales_organization

Embedded entity "sales_organization" when adding/updating job_priority

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "c700bef6-3283-4a57-9fa5-83fce4c63644",
  "name": "sample string 2",
  "is_default": true,
  "sequence": 4,
  "sales_organization_id": "b8364b74-98c5-40d7-85b2-1b57d7d8b092",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "231ea931-f3f8-4122-9279-48b39c5d09a3",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "ac270596-7060-4854-b6df-e78ac684cdaa",
    "db_currency_id": "af8fc071-feac-4066-8e70-98f2c2d15bbe",
    "db_language_id": "afb6b016-96f4-4017-af97-1f90014d87d1",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-17T05:08:17.2792145+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-07-17T05:08:17.2792145+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.